<?php

namespace App\Listeners;

use App\Notifications\OTPVerification;
use App\Services\RegistrationService;
use Illuminate\Auth\Events\Registered;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Notification;

class SendMobileNumberVerificationNotification
{
    /**
     * Create the event listener.
     */
    public function __construct()
    {

    }

    /**
     * Handle the event.
     */
    public function handle(Registered $event): void
    {
        if(!$event->user->hasVerifiedMobileNumber())
        {
            $event->user->sendMobileNumberVerificationNotification();
        }
    }
}
