<?php

namespace App\Exceptions;

use App\Helpers\ResponseHandler;
use Exception;

class InvalidOtpException extends Exception
{
    public function render()
    {
        return ResponseHandler::sendResponse(
            status: false,
            message: $this->message,
            data: [],
            errors: [],
            statusCode: 400
        );
    }
}
